Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class EllipseMatch

    java.lang.Object
      edu.wpi.first.wpilibj.image.EllipseMatch

    public class EllipseMatch

extends Object

Author:
  dtjones

Field Summary
`double` | `m_majorRadius`
`double` | `m_minorRadius`
`double` | `m_rotation`
`double` | `m_score`
`double` | `m_xPos`
`double` | `m_yPos`

Method Summary
`protected static EllipseMatch[]` | `getMatchesFromMemory(int address, int number)`
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_xPos

    public double m_xPos

### m_yPos

    public double m_yPos

### m_rotation

    public double m_rotation

### m_majorRadius

    public double m_majorRadius

### m_minorRadius

    public double m_minorRadius

### m_score

    public double m_score

Method Detail

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### getMatchesFromMemory

    protected static EllipseMatch[] getMatchesFromMemory(int address,
                                                         int number)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"